<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: TIOVX</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li class="current"><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>TIOVX</h1><p>TIOVX is TI's implementation of OpenVX Standard.</p>
<p>TIOVX allows users to create vision and compute applications using OpenVX API. These OpenVX applications can be executed on TI SoCs like TDA2x, TDA3x. TIOVX is fully conformant to OpenVX v1.1 specification. TIOVX also provides optimized OpenVX kernels for C66x DSP. An extension API allows users to integrate their own natively developed custom kernels and call them using OpenVX APIs. Examples showing usage of TIOVX as part of the larger system, ex, camera input and display output are also provided as part of Processor SDK Vision.</p>
<p>Top level block diagram of TIOVX is shown below.</p>
<div align="center">
<img src="tiovx_block_diagram.png" alt="tiovx_block_diagram.png"/>
</div>
<p>The main parts in TIOVX are listed below </p>
<table frame="box" rules="all" cellspacing="0" width="50%" border="1" cellpadding="3">
<tr bgcolor="lightgrey">
<th><p>TIOVX Module/Block  </p>
</th><th><p>Description   </p>
</th></tr>
<tr>
<td><p>Khronos Conformance Test  </p>
</td><td><p>OpenVX conformance test from Khronos to make sure an implementation implements OpenVX according to specification   </p>
</td></tr>
<tr>
<td><p>TI Extension Conformance Test  </p>
</td><td><p>Additional test cases from TI to test TI extention interfaces   </p>
</td></tr>
<tr>
<td><p>OpenVX API  </p>
</td><td><p>OpenVX API as defined by Khronos   </p>
</td></tr>
<tr>
<td><p>TIOVX API  </p>
</td><td><p>TI extensions and additional APIs in order to efficiently use OpenVX on TI platforms   </p>
</td></tr>
<tr>
<td><p>TIOVX Framework  </p>
</td><td><p>TI's implementation of OpenVX spec. This layer is agnostic of underlying SoC, OS platform   </p>
</td></tr>
<tr>
<td><p>TIOVX Platform  </p>
</td><td><p>This layer binds TIOVX framework to a specific platform. Ex, Processor SDK Vision platform for TDA2x/3x SOCs. This layer also binds TIOVX framework to a specific OS like Linux or TI-RTOS   </p>
</td></tr>
<tr>
<td><p>TIOVX Kernel Wrapper  </p>
</td><td><p>Kernel wrappers allow TI and customers to integrate a natively implemented kernel into the TIOVX framework.   </p>
</td></tr>
<tr>
<td><p>Examples  </p>
</td><td><p>These are examples which show usage of TIOVX with other system level compoenents. These are not included in TIOVX package. Users should refer to Processor SDK Vision for these examples.   </p>
</td></tr>
<tr>
<td><p>User Kernels <br/>
 Target Kernels  </p>
</td><td><p>User specific kernels integrated with TI OpenVX <br/>
 User kernels is an interface to integrate user kernels on HOST CPU using standard Khronos OpenVX APIs. <br/>
 Target kernels is a TI specific interface to integrate user kernels on target CPU like DSP   </p>
</td></tr>
</table>
<p><br/>
 <hr/>
<dl class="user"><dt><b>TIOVX References</b></dt><dd></dd></dl>
<table frame="box" rules="all" cellspacing="0" width="50%" border="1" cellpadding="3">
<tr bgcolor="lightgrey">
<th><p>Reference  </p>
</th><th><p>Description   </p>
</th></tr>
<tr>
<td><p><a class="el" href="TIOVX_PACKAGE_CONTENTS.html">TIOVX Package Contents</a> </p>
</td><td><p>Overview of package contents and module locations   </p>
</td></tr>
<tr>
<td><p><a class="el" href="BUILD_INSTRUCTIONS.html">TIOVX Build Instructions</a>  </p>
</td><td><p>Build Instructions   </p>
</td></tr>
<tr>
<td><p><a class="el" href="group__group__tivx__api.html">1: TIOVX Interface Modules</a>  </p>
</td><td><p>TIOVX Extension API   </p>
</td></tr>
<tr>
<td><p><a class="el" href="group__group__vx__platform.html">2: TIOVX Platform Modules</a>  </p>
</td><td><p>Platform API to port TIOVX to specific platforms <b> [ FOR ADVANCED USERS ONLY ] </b>   </p>
</td></tr>
<tr>
<td><p><a class="el" href="group__group__vx__framework.html">3: TIOVX Implementation Modules</a>  </p>
</td><td><p>TIOVX Implementation API <b> [ FOR ADVANCED USERS ONLY ] </b>   </p>
</td></tr>
<tr>
<td><p><a class="el" href="group__group__vx__framework__config.html">TIOVX Configuration Parameters</a>  </p>
</td><td><p>Configuration API <b> [ FOR ADVANCED USERS ONLY ] </b>   </p>
</td></tr>
<tr>
<td><p><a class="el" href="SUPPORTED_KERNELS.html">TIOVX Supported Kernels</a>  </p>
</td><td><p>OpenVX Kernels and additional TI Kernels supported in TIOVX   </p>
</td></tr>
<tr>
<td><p><a class="el" href="TIOVX_PERFORMANCE.html">TIOVX Performance</a>  </p>
</td><td><p>Performance Report   </p>
</td></tr>
</table>
<p><br/>
 <hr/>
<dl class="user"><dt><b>Khronos OpenVX References</b></dt><dd></dd></dl>
<table frame="box" rules="all" cellspacing="0" width="50%" border="1" cellpadding="3">
<tr bgcolor="lightgrey">
<th><p>Reference  </p>
</th><th><p>Description   </p>
</th></tr>
<tr>
<td><p><a href="https://www.khronos.org/registry/OpenVX/specs/1.1/html/index.html" target="_blank">OpenVX API Reference</a>  </p>
</td><td><p>OpenVX Specification and API Reference   </p>
</td></tr>
<tr>
<td><p><a href="https://www.khronos.org/openvx/" target="_blank">OpenVX Resources</a>  </p>
</td><td><p>Additional OpenVX resource from Khronos   </p>
</td></tr>
</table>
<p><br/>
 <hr/>
<dl class="user"><dt><b>Disclaimer</b></dt><dd></dd></dl>
<p>See also <a class="el" href="TI_DISCLAIMER.html">TI Disclaimer</a>. </p>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
